Subject: RE: Palladium (TCP/MS)

From: "Sean Jones" <[email-masked]>
Date: Tue, 29 Oct 2002 10:54:02 -0000

Good Morning  Valdis

> On Wed, 23 Oct 2002 09:37:44 BST, Sean Jones 
> <[email-masked]>  said:
 
> > Why is a PTR (or DNS) record with MS TCP different from the 
> standard TCP/IP record? 

> > (Perhaps it is me in my ignorance, or lack of understanding :o) )
 
> It's not different.  Or in any case, it's not sufficiently 
> different to cause an interoperation problem in this case.
 
> The reference to RFC2821, section 10.2 was regarding the fact 
> that having multiple PTR records for one address *IS* legal, despite 
> widespread belief to the contrary.  The original point was that you'll need a 
> router ACL to block a lot more than one address, and keep the list of 
> addresses up to date.
 
> And anyhow, using a router block is a bad idea in this case.  
> There's two cases - either you still have machines using that vendor's 
> software, and you WANT them to reach the servers so they can update, or you 
> don't have the software installed, in which case you don't really care if 
> the server is reachable.. 
> -- 
> 				Valdis Kletnieks
> 				Computer Systems Senior Engineer
> 				Virginia Tech

I have been cogitating on this for a little while. (Especially as I didn't want to sound thick when replying)

Why would MS (or anyone for that matter) want multiple pointer records when one will suffice. My thoughts revolved around clustered servers, .net & etc In short the Microsoft-verse.

In reality it doesn't matter two hoots what MS do, they will still have to inter-operate with the rest of the Internet per se, unless you believe the scare mongering that with .Net MS want to make a corporate Internet which they control.

(If they did ever go that way, I'd be one of the first to join "Treehouse")

Thinking along a bit more, setting the routers shouldn't be a big issue, after all Cisco have been producing routers IPv6 capable for a fair while now, so surely they could incorporate multiple PTR records within the routers capability?

Regards

Sean Jones
A Boring old IT Manager for a SME

---

From: [email-masked]
Date: Tue, 29 Oct 2002 10:39:19 -0500

On Tue, 29 Oct 2002 10:54:02 GMT, Sean Jones <[email-masked]>  said:
> Why would MS (or anyone for that matter) want multiple pointer records when
> one will suffice. My thoughts revolved around clustered servers, .net & etc In
> short the Microsoft-verse.

You're close.  You'd want this for multihomed servers, so a PTR query works
as you'd expect.  Consider this case:

www.big-corp.com	A	10.0.0.10
			A	192.186.10.10
mail.big-corp.com	A	10.0.0.10
			A	172.16.23.10

Then you'd want to have PTRs  as follows:

192.168.10.10	PTR	www.big-corp.com
172.16.23.10	PTR	mail.big-corp.com

(and then the magic)

10.0.0.10	PTR	www.big-corp.com
		PTR	mail.big-corp.com

If you don't have 2 PTR records for that last, you can get into the situation
where a system will look up the A record for www, get the IP address, then
do a PTR to sanity-check, get back only the mail. address, and get upset.
Having both PTR records means that you'll be able to find one to match to
the original hostname either way...

> In reality it doesn't matter two hoots what MS do, they will still have to
> inter-operate with the rest of the Internet per se, unless you believe the
> scare mongering that with .Net MS want to make a corporate Internet which they
> control.

Note that Microsoft is being very careful to fight the .Net war at the
application level and leave transport and lower alone, simply because they
know they need to interoperate.

> Thinking along a bit more, setting the routers shouldn't be a big issue,
> after all Cisco have been producing routers IPv6 capable for a fair while now,
> so surely they could incorporate multiple PTR records within the routers
> capability?

Routers don't have anything at all to do with PTR records.  What I said
was that if a company wanted to block all access to Microsoft's servers,
they'd have to keep continual track of all the IP addresses in use - which
can be interesting if round-robin DNS or other similar things are in use.

---

From: Christopher Evans <[email-masked]>
Date: Tue, 29 Oct 2002 11:20:33 -0800

.net is a suite of coding & publishing tools.  maybe should throw together a .org 
suite of freeware coding tools?  

10/29/02 2:54:02 AM, "Sean Jones" <[email-masked]> wrote:

>Why would MS (or anyone for that matter) want multiple pointer records when one 
will suffice. My thoughts revolved around clustered servers, .net & etc In short 
the Microsoft-verse.

---

From: Lloyd Wood <[email-masked]>
Date: Tue, 29 Oct 2002 21:28:57 +0000 (GMT)

On Tue, 29 Oct 2002, Christopher Evans wrote:

> .net is a suite of coding & publishing tools.  maybe should throw
> together a .org suite of freeware coding tools?

what, like www.gnu.org? www.fsf.org?

where have you been?

L.

<http://www.ee.surrey.ac.uk/Personal/L.Wood/><[email-masked]>